## manila 18.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=5.5.0 # Apache-2.0

alembic>=1.4.2 # MIT
eventlet>=0.26.1 # MIT
greenlet>=0.4.16 # MIT
lxml>=4.5.2 # BSD
netaddr>=0.8.0 # BSD
oslo.config>=8.3.2 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
pyparsing>=2.4.7 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
Routes>=2.4.1 # MIT
SQLAlchemy>=1.3.17 # MIT
SQLAlchemy-Utils>=0.38.3 # BSD License
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
WebOb>=1.8.6 # MIT

=== debian/changelog ===
manila (1:18.0.1-0ubuntu2.2) noble; urgency=medium

  * d/p/lp2074504.patch: Fix OVN connectivity issues in DHSS=True,
    Create ports as disabled with external networks (LP: #2074504).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Thu, 24 Apr 2025 19:08:48 +0000

manila (1:18.0.1-0ubuntu2.1) noble; urgency=medium

  * d/p/lp2069125.patch: Fix NetApp Driver error adding
    access rules when using SVM-scoped user and the Vserver
    LIF is not configured with Kerberos. (LP: #2069125)

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Tue, 03 Sep 2024 14:15:13 +0000

manila (1:18.0.1-0ubuntu2) noble; urgency=medium

  * d/p/alembic-1.13-compat.patch: Fix compatibility with newer Alembic.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Apr 2024 11:42:36 +0100

manila (1:18.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for Openstack Caracal

 -- Utkarsh Bhatt <utkarsh.bhatt@canonical.com>  Fri, 05 Apr 2024 13:28:53 +0100

manila (1:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal
  * d/p/tests-has_calls-assert_has_calls.patch: Removed, no longer needed.

 -- Utkarsh Bhatt <utkarsh.bhatt@canonical.com>  Wed, 20 Mar 2024 13:18:59 +0000

manila (1:17.2.0+git2024020611.796037ea-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/p/tests-has_calls-assert_has_calls.patch: Cherry pick fix to
    resolve issues related to has_calls usage in tests.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 09:56:32 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=manila

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.postrm debian/manila-common.postrm
	rm -rf debian/manila-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-manila/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/manila/ manila-(\d.*)\.tar.gz

## manila 18.1.0+git2024080716.14ef8916

=== requirements.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 
 # pbr should be first
 pbr>=5.5.0 # Apache-2.0
 
 alembic>=1.4.2 # MIT
+defusedxml>=0.7.1 # PSFL
 eventlet>=0.26.1 # MIT
 greenlet>=0.4.16 # MIT
 lxml>=4.5.2 # BSD
@@ -21,7 +18,7 @@
 oslo.log>=4.4.0 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=3.11.0 # Apache-2.0
 oslo.privsep>=2.4.0 # Apache-2.0
 oslo.reports>=2.2.0 # Apache-2.0
 oslo.rootwrap>=6.2.0 # Apache-2.0
@@ -45,7 +42,9 @@
 SQLAlchemy-Utils>=0.38.3 # BSD License
 stevedore>=3.2.2 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0
-python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
+python-cinderclient>=4.0.1 # Apache-2.0
 python-novaclient>=17.2.1 # Apache-2.0
 python-glanceclient>=3.2.2 # Apache-2.0
 WebOb>=1.8.6 # MIT
+cachetools>=4.2.1 # MIT
+packaging>=20.9 # Apache-2.0

=== debian/changelog ===
manila (1:18.1.0+git2024080716.14ef8916-0ubuntu2) oracular; urgency=medium

  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Aug 2024 17:14:17 +0100

manila (1:18.1.0+git2024080716.14ef8916-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/p/alembic-1.13-compat.patch: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Aug 2024 13:44:20 +0100

## manila 18.3.0

=== debian/changelog ===
manila (1:18.3.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:53:03 +0000

manila (1:18.1.0-3) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:38:11 +0200

manila (1:18.1.0-2) unstable; urgency=medium

  * (build-)depends on oslo.db >= 15.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Apr 2024 12:23:17 +0200

manila (1:18.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 09:29:48 +0200

manila (1:18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 11:55:00 +0200

manila (1:18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Drop applied upstream patches:
    - sqla2.0-db_*
    - py3.12-use-assertAlmostEqual-not-failUnlessAlmostEqual.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:41:16 +0100

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 git,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt <!nodoc>,
 python3-eventlet,
 python3-fixtures <!nodoc>,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 15.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-requests-mock,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools,
 python3-tooz,
 python3-webob,
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila.git
Homepage: https://github.com/openstack/manila

Package: manila-api
Architecture: all
Depends:
 adduser,
 debconf,
 manila-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 python3-ceph-argparse,
 python3-rados,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic,
 e2fsprogs,
 python3-cinderclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 15.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila,
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

## manila 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 oslo.log>=4.4.0 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
-oslo.policy>=3.11.0 # Apache-2.0
+oslo.policy>=4.4.0 # Apache-2.0
 oslo.privsep>=2.4.0 # Apache-2.0
 oslo.reports>=2.2.0 # Apache-2.0
 oslo.rootwrap>=6.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:19.0.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:54:03 +0100

manila (1:19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090433).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:15:49 +0100

manila (1:19.0.0-2) unstable; urgency=medium

  * Add Python-3.13-do-not-use-removed-module-pipes.patch (Closes: #1084543).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2024 18:32:24 +0200

manila (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:12:04 +0200

manila (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:16:55 +0200

manila (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespace when generating manila.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 09:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,11 @@
  alembic,
  git,
  python3-bashate,
+ python3-cachetools,
  python3-cinderclient,
  python3-coverage,
  python3-ddt <!nodoc>,
+ python3-defusedxml,
  python3-eventlet,
  python3-fixtures <!nodoc>,
  python3-glanceclient,
@@ -44,7 +46,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.privsep,
  python3-oslo.reports,
  python3-oslo.rootwrap,
@@ -54,10 +56,10 @@
  python3-oslo.utils,
  python3-oslotest <!nodoc>,
  python3-osprofiler,
+ python3-packaging,
  python3-paramiko,
  python3-paste,
  python3-pastedeploy,
- python3-pep8,
  python3-psycopg2,
  python3-pymysql,
  python3-pyparsing,
@@ -205,7 +207,9 @@
 Depends:
  alembic,
  e2fsprogs,
+ python3-cachetools,
  python3-cinderclient,
+ python3-defusedxml,
  python3-eventlet,
  python3-glanceclient,
  python3-greenlet,
@@ -223,7 +227,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.privsep,
  python3-oslo.reports,
  python3-oslo.rootwrap,
@@ -232,6 +236,7 @@
  python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-osprofiler,
+ python3-packaging,
  python3-paramiko,
  python3-paste,
  python3-pastedeploy,

## manila 19.0.1+git2025011509.f89994e5d

=== debian/changelog ===
manila (1:19.0.1+git2025011509.f89994e5d-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 09:29:40 +0000

manila (1:19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:26:00 +0100

manila (1:19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix sed matching.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 11:10:49 +0100

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cachetools (>= 4.2.1),
 python3-cinderclient (>= 1:4.0.1),
 python3-ddt (>= 1.4.1),
 python3-defusedxml (>= 0.7.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.9),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.7.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-sqlalchemy (>= 1.3.17),
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stestr (>= 3.0.1),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
Homepage: https://opendev.org/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:4.0.1),
 python3-eventlet (>= 0.27.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 3.4.0),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-sqlalchemy (>= 1.3.17),
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

## manila 19.0.1+git2025030311.548593328

=== debian/changelog ===
manila (1:19.0.1+git2025030311.548593328-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:35:31 +0000

## manila 19.1.0

=== debian/changelog ===
manila (1:19.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 24 Sep 2025 10:50:36 +0000

manila (1:19.0.1-2) UNRELEASED; urgency=medium

  * New upstream point release.
  * Removed Python-3.13-do-not-use-removed-module-pipes.patch applied
    upstream.
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:37:54 +0200

## manila 20.0.0~rc1

=== debian/changelog ===
manila (1:20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:30:02 +0100

manila (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:25:50 +0100

manila (1:19.0.1-1) unstable; urgency=medium

  * New upstream point release.
  * Removed Python-3.13-do-not-use-removed-module-pipes.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 16:47:01 +0100
